### Enumeration

# Clutter ScrollSource

#### Declaration

    enum Clutter.ScrollSource

#### Description [src]

The scroll source determines the source of the scroll event.

Keep in mind that the source device `ClutterInputDeviceType` is not enough to infer the scroll source.6.

#### Members

`CLUTTER_SCROLL_SOURCE_UNKNOWN`

  Source of scroll events is unknown.

  - Value: `0`
  - Available since: 16
`CLUTTER_SCROLL_SOURCE_WHEEL`

  The scroll event is originated by a mouse wheel.

  - Value: `1`
  - Available since: 16
`CLUTTER_SCROLL_SOURCE_FINGER`

  The scroll event is originated by one or more fingers on the device (eg. touchpads).

  - Value: `2`
  - Available since: 16
`CLUTTER_SCROLL_SOURCE_CONTINUOUS`

  The scroll event is originated by the motion of some device (eg. a scroll button is set).

  - Value: `3`
  - Available since: 16